Package org.apache.felix.hc.core.impl.executor

## Interface ExtendedHealthCheckExecutor

All Superinterfaces:
  `org.apache.felix.hc.api.execution.HealthCheckExecutor`

All Known Implementing Classes:
  `HealthCheckExecutorImpl`

    public interface ExtendedHealthCheckExecutor
    extends org.apache.felix.hc.api.execution.HealthCheckExecutor

Internal service used by the JMX and ServiceUnavailableFilter

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.felix.hc.api.execution.HealthCheckExecutionResult` `execute​(org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck> ref)` execute single health check using cache, used by JMX
`List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult>` `execute​(org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[] healthCheckReferences, org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)` internal interface to execute checks for service references
`org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[]` `selectHealthCheckReferences​(org.apache.felix.hc.api.execution.HealthCheckSelector selector, org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)` internal interface to retrieve service references

### Methods inherited from interface org.apache.felix.hc.api.execution.HealthCheckExecutor

`execute, execute`

### Method Detail

#### execute

    org.apache.felix.hc.api.execution.HealthCheckExecutionResult execute​(org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck> ref)

execute single health check using cache, used by JMX

#### selectHealthCheckReferences

    org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[] selectHealthCheckReferences​(org.apache.felix.hc.api.execution.HealthCheckSelector selector,
                                                                                                           org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)

internal interface to retrieve service references

#### execute

    List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> execute​(org.osgi.framework.ServiceReference<org.apache.felix.hc.api.HealthCheck>[] healthCheckReferences,
                                                                               org.apache.felix.hc.api.execution.HealthCheckExecutionOptions options)

internal interface to execute checks for service references